Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163427 - Xorg freezes after exiting Unreal 2004 Demo (for linux)
Summary: Xorg freezes after exiting Unreal 2004 Demo (for linux)
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-16 05:57 UTC by Steve
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-30 13:35:54 UTC


Attachments (Terms of Use)

Description Steve 2005-07-16 05:57:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I've installed ATI drivers for my card. I can run Unreal 2004 demo with excellent looking graphics and performance. However, when I exit and attempt to run any program or shutdown, X freezes. It has no relation with how long I play the game. I can play for 5 min or an hour. But when I exit and attempt to run any application X freezes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start Unreal 2004
2. Play multiplayer game for half an hour
3. Exit the game
4. Attempt to double click 'Computer'
5. X freezes
  

Expected Results:  X should not freeze after I exit the game and attempt to run a program.

Additional info:

I have not ruled out a problem with graphics driver or xorg.conf. I have a Dell Inspiron 9300 with a 128 ATI mobility x300. The card is NOT listed in ATI's linux proprietary release notes either. If it is helpful I can provide my xorg.conf and any other config files.

Comment 1 Steve 2005-07-18 04:23:19 UTC
I figured out that I can do the following keyboard combo:
<Control><Alt><Backspace>
and this immediately brings me to login prompt and I can then properly shut
down, but it would be nice if I didn't have to do that.

Comment 2 Mike A. Harris 2005-08-30 13:35:54 UTC
Thanks for the report.  For users who are experiencing problems
installing, configuring, or using the unsupported 3rd party
proprietary "fglrx" video driver, users are recommended to report
any problems they may experience to ATI support directly.  Once
ATI has been able to isolate the problem in their driver, they
may fix the issue in a future video driver update.

While Red Hat does not support the proprietary fglrx driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding
assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo

Setting status to "CANTFIX" (unsupported).


Note You need to log in before you can comment on or make changes to this bug.